{

   This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
}
unit Ufrmworkselect;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  tworkmethod = (wmthumb, wmsaveas);

  Tfrmworkselect = class(TForm)
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    button1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmworkselect: Tfrmworkselect;

implementation

uses Uconfig;
{$R *.dfm}

procedure Tfrmworkselect.Button1Click(Sender: TObject);
begin
  if RadioButton1.Checked then
    config.c_lastworkselect:=0
  else if RadioButton2.Checked then
    config.c_lastworkselect:=1;
    
  self.ModalResult:=mrok;
end;

procedure Tfrmworkselect.FormCreate(Sender: TObject);
begin
  case config.c_lastworkselect of
    0:RadioButton1.Checked:=true;
    else
      RadioButton2.Checked:=true;
  end;
end;

end.
